«Ошибка: невозможно запустить сборку, если она уже запущена» на сервере ember

Я просто настраиваю проект в Ember и столкнулся с этой проблемой. Это не уходит. Я проверил много форумов.

Я получаю эту ошибку при запуске ember server

Cannot start a build if one is already running


Stack Trace and Error Report: /var/folders/gg/_8df84q97d9bv3hvcky3sj1c0000gn/T/error.dump.9aec39b1e1cb7d4551398e66431a9697.log

Build successful (5256ms) – Serving on http://localhost:4200/



Slowest Nodes (totalTime => 5% )              | Total (avg)         
----------------------------------------------+---------------------
BroccoliRollup (6)                            | 1152ms (192 ms)     
SassCompiler (1)                              | 1086ms              
Babel: @ember/test-helpers (2)                | 550ms (275 ms)      
Package /assets/vendor.js (1)                 | 391ms               
ember-auto-import-analyzer (3)                | 382ms (127 ms)      
broccoli-persistent-filter:EslintValid... (2) | 285ms (142 ms)      

(node:5414) UnhandledPromiseRejectionWarning: Error: Cannot start a build if one is already running
    at Builder.build (/Users/freakyspeedster/Documents/cash-n/cashn-wallet/node_modules/broccoli/dist/builder.js:100:19)
    at /Users/freakyspeedster/Documents/cash-n/cashn-wallet/node_modules/ember-cli/lib/models/builder.js:220:32
    at tryCatcher (/Users/freakyspeedster/Documents/cash-n/cashn-wallet/node_modules/ember-cli/node_modules/rsvp/dist/rsvp.js:326:21)
    at invokeCallback (/Users/freakyspeedster/Documents/cash-n/cashn-wallet/node_modules/ember-cli/node_modules/rsvp/dist/rsvp.js:498:33)
    at publish (/Users/freakyspeedster/Documents/cash-n/cashn-wallet/node_modules/ember-cli/node_modules/rsvp/dist/rsvp.js:484:9)
    at flush (/Users/freakyspeedster/Documents/cash-n/cashn-wallet/node_modules/ember-cli/node_modules/rsvp/dist/rsvp.js:2441:7)
    at processTicksAndRejections (internal/process/task_queues.js:75:11)
    at runNextTicks (internal/process/task_queues.js:62:3)
    at processTimers (internal/timers.js:472:9)

Всего 1 ответ


Это похоже на проблему в Ember-Cli . Нет необходимости поддерживать синхронизацию версий ember-cli и ember-source поэтому на данный момент вы можете запустить

npm install --save-dev ember-cli@v3.15

вернуться к версии, которая может решить вашу проблему.


Есть идеи?

10000